Subject: bug#18987: the bourne shell printf-vs-\xHH portability trap

From: Jim Meyering <[email-masked]>
Date: Sat, 8 Nov 2014 07:56:48 -0800

On Fri, Nov 7, 2014 at 11:56 PM, Norihiro Tanaka <[email-masked]> wrote:
> Jim Meyering <[email-masked]> wrote:
>> Thank you for testing and reporting that!
>> I have a marked preference for using hexadecimal (readability),
>> but if I can't find a good, universally-portable converter that is
>> sufficiently simple, I'll just revert to using octal.
>
> Thanks, I fixed left multibyte-white-space.  Although I do not try it
> on Debian, passed on CentOS, Solaris, HP-UX and AIX.

Thank you for working on that.
I've improved your patch: update the now-shared hex_printf_
rather than making a copy, use a better definition of that function
(knowing that "printf %s a b c d e" reuses the format string and
prints just 5 bytes helps), also update word-multibyte to work
with the new definition, and rewrite the commit log.

I'll push after you ACK: